## python-duniterpy 0.60.1

=== Makefile ===
.PHONY: docs tests check check-format mypy pylint format build deploy deploy_test
.SILENT: deploy deploy_test # do not echo commands with password

# generate documentation
docs:
	cd docs && rm duniterpy.*; poetry run sphinx-apidoc -o . ../duniterpy && make clean && make html && cd ..

# run tests
tests:
	poetry run python3 -m unittest ${TESTS_FILTER}

# check
check: mypy pylint check-format

# check static typing
mypy:
	 poetry run mypy duniterpy --ignore-missing-imports
	 poetry run mypy tests --ignore-missing-imports
	 poetry run mypy examples --ignore-missing-imports

# check code errors
pylint:
	poetry run pylint --disable=C,R0902,R0903,R0904,R0912,R0913,R0914,R0915,W0613 --enable=C0121,C0202,C0321 --jobs=0 duniterpy/
	poetry run pylint --disable=C,R0902,R0903,R0904,R0912,R0913,R0914,R0915,W0613 --enable=C0121,C0202,C0321 --jobs=0 tests/
	poetry run pylint --disable=C,R0902,R0903,R0904,R0912,R0913,R0914,R0915,W0613 --enable=C0121,C0202,C0321 --jobs=0 examples/

# check format
check-format:
	black --check duniterpy
	black --check tests
	black --check examples

# format code
format:
	black duniterpy
	black tests
	black examples

# build a wheel package in dist folder
build:
	if [ -d "./dist" ]; then rm -r dist/*; fi
	poetry build

# upload on PyPi repository
deploy:
	poetry publish --build --username ${PYPI_LOGIN} --password ${PYPI_PASSWORD} --repository pypi_test

# upload on PyPi test repository
deploy_test:
	poetry config repositories.pypi_test https://test.pypi.org/legacy/
	poetry publish --build --username ${PYPI_TEST_LOGIN} --password ${PYPI_TEST_PASSWORD} --repository pypi_test

=== debian/changelog ===
python-duniterpy (0.60.1-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + support libnacl version from v1.7.2
      closes: bug#974655

  [ Jonas Smedegaard ]
  * drop explicit runtime dependencies computed by dh_python3
  * tighten build-dependency on python3-libnacl

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Nov 2020 11:10:34 +0100

python-duniterpy (0.60.0-2) unstable; urgency=medium

  * source-only release

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 Oct 2020 01:59:51 +0200

python-duniterpy (0.60.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * update patch 2001
  * copyright:
    + update coverage
    + use CamelCase in Upstream-Name

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Sep 2020 14:38:46 +0200

python-duniterpy (0.58.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz and update patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Sep 2020 20:02:51 +0200

python-duniterpy (0.57.0-1) unstable; urgency=low

  * initial packaging release;
    closes: bug#969572

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Sep 2020 17:57:13 +0200

=== debian/control ===
Source: python-duniterpy
Section: python
Priority: optional
Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 black <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nocheck>,
 mypy <!nocheck>,
 pylint <!nocheck>,
 python3,
 python3-aiohttp (>= 3.6.1) <!nocheck>,
 python3-attr (>= 19.3.0) <!nocheck>,
 python3-base58 <!nocheck>,
 python3-jsonschema (>= 3.0.2) <!nocheck>,
 python3-libnacl (>= 1.7.2) <!nocheck>,
 python3-pyaes <!nocheck>,
 python3-pypeg2 <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/cryptocoin-team/python-duniterpy.git
Vcs-Browser: https://salsa.debian.org/cryptocoin-team/python-duniterpy
Homepage: https://git.duniter.org/clients/python/duniterpy
Testsuite: autopkgtest-pkg-python

Package: python3-duniterpy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Duniter Python API - Python3 library
 Python implementation of Duniter Basic Merkle API.
 .
 Duniter (previously uCoin) is a libre software
 allowing to create a new kind of P2P crypto-currencies
 based on individuals and Universal Dividend.
 .
 This package provides duniterpy module
 for Python 3.

Package: python-duniterpy-doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Duniter Python API - documentation
 Python implementation of Duniter Basic Merkle API.
 .
 Duniter (previously uCoin) is a libre software
 allowing to create a new kind of P2P crypto-currencies
 based on individuals and Universal Dividend.
 .
 This package provides documentation for the duniterpy module.

=== debian/rules ===
#!/usr/bin/make -f

# handle setup.py file provided in patch
export PYBUILD_SYSTEM = distutils
export PYBUILD_CLEAN_ARGS = $(if $(wildcard setup.py),,|| true)

# build documentation unless nodoc requested
execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs debian/doc/html
endif

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto,repacksuffix=~dfsg \
https://git.duniter.org/clients/python/duniterpy/-/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## python-duniterpy 0.62.0

=== Makefile ===
--- 
+++ 
@@ -20,9 +20,9 @@
 
 # check code errors
 pylint:
-	poetry run pylint --disable=C,R0902,R0903,R0904,R0912,R0913,R0914,R0915,W0613 --enable=C0121,C0202,C0321 --jobs=0 duniterpy/
-	poetry run pylint --disable=C,R0902,R0903,R0904,R0912,R0913,R0914,R0915,W0613 --enable=C0121,C0202,C0321 --jobs=0 tests/
-	poetry run pylint --disable=C,R0902,R0903,R0904,R0912,R0913,R0914,R0915,W0613 --enable=C0121,C0202,C0321 --jobs=0 examples/
+	poetry run pylint --disable=C,R0902,R0903,R0904,R0912,R0913,R0914,R0915,W0613,R0801 --enable=C0121,C0202,C0321 --jobs=0 duniterpy/
+	poetry run pylint --disable=C,R0902,R0903,R0904,R0912,R0913,R0914,R0915,W0613,R0801 --enable=C0121,C0202,C0321 --jobs=0 tests/
+	poetry run pylint --disable=C,R0902,R0903,R0904,R0912,R0913,R0914,R0915,W0613,E0401,R0801 --enable=C0121,C0202,C0321 --jobs=0 examples/
 
 # check format
 check-format:

=== debian/changelog ===
python-duniterpy (0.62.0-3) unstable; urgency=medium

  * update watch file:
    + add uversionmangle for release candidates
  * build-depend on pybuild-plugin-pyproject
    (not dh-python-pep517);
    closes: bug#1005207, thanks to Stefano Rivera

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Feb 2022 10:56:39 +0100

python-duniterpy (0.62.0-2) unstable; urgency=medium

  * fix call dh_sphinxdoc, making build reproducible;
    closes: bug#997949, thanks to Chris Lamb
  * use pep517 build system;
    drop patch 2001 to avoid Python module poetry;
    build-depend on dh-python-pep517 python3-poetry-core
    (not dh-setuptools)
  * update copyright info:
    + use Reference field (not License-Reference)
    + update coverage
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Dec 2021 12:10:32 +0100

python-duniterpy (0.62.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * tighten build-dependencies
    on python3-aiohttp python3-attr python3-jsonschema
  * copyright info: update coverage
  * install examples
  * declare compliance with Debian Policy 4.5.1
  * update patch 2001

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Apr 2021 14:55:35 +0200

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,20 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nocheck>,
  mypy <!nocheck>,
+ pybuild-plugin-pyproject,
  pylint <!nocheck>,
  python3,
- python3-aiohttp (>= 3.6.1) <!nocheck>,
- python3-attr (>= 19.3.0) <!nocheck>,
+ python3-aiohttp (>= 3.6.3) <!nocheck>,
+ python3-attr (>= 20.2.0) <!nocheck>,
  python3-base58 <!nocheck>,
- python3-jsonschema (>= 3.0.2) <!nocheck>,
+ python3-jsonschema (>= 3.2.0) <!nocheck>,
  python3-libnacl (>= 1.7.2) <!nocheck>,
+ python3-poetry-core,
  python3-pyaes <!nocheck>,
  python3-pypeg2 <!nocheck>,
- python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/python-duniterpy.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/python-duniterpy
 Homepage: https://git.duniter.org/clients/python/duniterpy

=== debian/rules ===
#!/usr/bin/make -f

# build documentation unless nodoc requested
execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs debian/doc/html
endif

%:
	dh $@ --buildsystem=pybuild --with=sphinxdoc

## python-duniterpy 1.1.0

=== debian/changelog ===
python-duniterpy (1.1.0-3ubuntu1) mantic; urgency=medium

  * duniterpy/key/ascii_armor.py: fix FTBFS by removing reference to
    non-existent libnacl.version module on newer versions of python-libnacl.
    (LP: #2037646)

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Thu, 28 Sep 2023 10:51:38 -0300

python-duniterpy (1.1.0-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix deprecation warning about typing.re.Pattern
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Dec 2022 17:49:42 +0100

python-duniterpy (1.1.0-2) unstable; urgency=medium

  * update git-buildpackage config:
    enable automatic DEP-14 branch name handling

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Apr 2022 00:22:40 +0200

python-duniterpy (1.1.0-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * build-depend on python3-graphql-core python3-mnemonic
    python3-pytest python3-pytest-sugar python3-pytest-cov
    python3-websocket;
    tighten build-dependency on python3-attr
  * install examples only as such
  * add autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Mar 2022 22:31:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-duniterpy
 Section: python
 Priority: optional
-Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
@@ -14,16 +15,22 @@
  pylint <!nocheck>,
  python3,
  python3-aiohttp (>= 3.6.3) <!nocheck>,
- python3-attr (>= 20.2.0) <!nocheck>,
+ python3-attr (>= 21.2.0) <!nocheck>,
  python3-base58 <!nocheck>,
+ python3-graphql-core <!nocheck>,
  python3-jsonschema (>= 3.2.0) <!nocheck>,
  python3-libnacl (>= 1.7.2) <!nocheck>,
+ python3-mnemonic <!nocheck>,
  python3-poetry-core,
  python3-pyaes <!nocheck>,
  python3-pypeg2 <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.6.0
+ python3-pytest <!nocheck>,
+ python3-pytest-sugar <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-websocket <!nocheck>,
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/python-duniterpy.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/python-duniterpy
 Homepage: https://git.duniter.org/clients/python/duniterpy

## python-duniterpy 1.1.1

=== Makefile ===
.PHONY: docs check mypy pylint format build deploy deploy_test
.SILENT: deploy deploy_test # do not echo commands with password

# generate documentation
docs:
	poetry run sphinx-apidoc -o docs . && poetry run sphinx-build -b html docs public

# check
check:
	pre-commit run --all-files

# check static typing
mypy:
	pre-commit run --all-files mypy

# check code errors
pylint:
	pre-commit run --all-files pylint

# format code
format:
	pre-commit run --all-files black

# build a wheel package in dist folder
build:
	poetry build

# upload on PyPi repository
deploy:
	poetry publish --build

# upload on PyPi test repository
deploy_test:
	poetry config repositories.pypi_test https://test.pypi.org/legacy/
	poetry publish --build --repository pypi_test

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/duniterpy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/duniterpy.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/duniterpy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/duniterpy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-duniterpy (1.1.1-3) unstable; urgency=medium

  * Team upload
  * Remove empty homepage field from pyproject (Closes: #1057938)

 -- Bastian Germann <bage@debian.org>  Mon, 18 Dec 2023 00:42:33 +0100

python-duniterpy (1.1.1-2) unstable; urgency=medium

  * Team upload
  * Replace custom with upstream libnacl patch

 -- Bastian Germann <bage@debian.org>  Thu, 02 Nov 2023 10:46:32 +0100

python-duniterpy (1.1.1-1) unstable; urgency=medium

  * Team upload
  * Patch: Fix libnacl.version import
    closes: bug#1052656

  [ upstream ]
  * new release(s)
    closes: bug#1052873

 -- Bastian Germann <bage@debian.org>  Wed, 01 Nov 2023 18:48:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# examples are provided as examples only
+export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/examples'
 
 # build documentation unless nodoc requested
 execute_after_dh_auto_build:

=== debian/tests/control ===
Test-Command:
 set -e;
 rm -rf duniterpy;
 for py in $(py3versions -r 2>/dev/null); do
  $py -m pytest;
 done
Depends:
 python3-duniterpy,
 python3-pytest,
 python3-pytest-sugar,
 python3-pytest-cov,

=== debian/watch ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 opts=\
 filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
+uversionmangle=s/-?rc$/~rc~/;s/-?rc/~rc/,\
 dversionmangle=auto,repacksuffix=~dfsg \
 https://git.duniter.org/clients/python/duniterpy/-/tags \
 .*?@ANY_VERSION@@ARCHIVE_EXT@
